Package net.snowflake.client.jdbc

## Interface SnowflakeResultSetSerializable

All Known Implementing Classes:
  `SnowflakeResultSetSerializableV1`, `SnowflakeRichResultSetSerializableV1`

    public interface SnowflakeResultSetSerializable

This interface defines Snowflake specific APIs to access the data wrapped in the result set serializable object.

### Nested Class Summary

Nested Classes
`static class` `SnowflakeResultSetSerializable.ResultSetRetrieveConfig`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`long` `getCompressedDataSizeInBytes()` Retrieve compressed data size included in the ResultSet Serializable object.
`ResultSet` `getResultSet()` Deprecated. Use `getResultSet(ResultSetRetrieveConfig)` instead
`ResultSet` `getResultSet​(Properties info)` Deprecated. Use `getResultSet(ResultSetRetrieveConfig)` instead
`ResultSet` `getResultSet​(SnowflakeResultSetSerializable.ResultSetRetrieveConfig resultSetRetrieveConfig)` Get ResultSet from the ResultSet Serializable object so that the user can access the data.
`long` `getRowCount()` Retrieve total row count included in the ResultSet Serializable object.
`long` `getUncompressedDataSizeInBytes()` Retrieve uncompressed data size included in the ResultSet Serializable object.

### Method Detail

#### getResultSet

    @Deprecated
    ResultSet getResultSet()
                    throws SQLException

Deprecated.
Use `getResultSet(ResultSetRetrieveConfig)` instead
Get ResultSet from the ResultSet Serializable object so that the user can access the data.

This API is used by spark connector from 2.6.0 to 2.8.1. It is deprecated from sc:2.8.2/jdbc:3.12.12 since Sept 2020. It is safe to remove it after Sept 2022.

Returns:
  a ResultSet which represents for the data wrapped in the object
Throws:
  `SQLException`

#### getResultSet

    @Deprecated
    ResultSet getResultSet​(Properties info)
                    throws SQLException

Deprecated.
Use `getResultSet(ResultSetRetrieveConfig)` instead
Get ResultSet from the ResultSet Serializable object so that the user can access the data.

This API is used by spark connector from 2.6.0 to 2.8.1. It is deprecated from sc:2.8.2/jdbc:3.12.12 since Sept 2020. It is safe to remove it after Sept 2022.

Parameters:
  `info` - The proxy server information if proxy is necessary.
Returns:
  a ResultSet which represents for the data wrapped in the object
Throws:
  `SQLException`

#### getResultSet

    ResultSet getResultSet​(SnowflakeResultSetSerializable.ResultSetRetrieveConfig resultSetRetrieveConfig)
                    throws SQLException

Get ResultSet from the ResultSet Serializable object so that the user can access the data.

Parameters:
  `resultSetRetrieveConfig` - The extra info to retrieve the result set.
Returns:
  a ResultSet which represents for the data wrapped in the object
Throws:
  `SQLException`

#### getRowCount

    long getRowCount()
              throws SQLException

Retrieve total row count included in the ResultSet Serializable object.

Returns:
  the total row count from metadata
Throws:
  `SQLException`

#### getCompressedDataSizeInBytes

    long getCompressedDataSizeInBytes()
                               throws SQLException

Retrieve compressed data size included in the ResultSet Serializable object.

Returns:
  the total compressed data size in bytes from metadata
Throws:
  `SQLException`

#### getUncompressedDataSizeInBytes

    long getUncompressedDataSizeInBytes()
                                 throws SQLException

Retrieve uncompressed data size included in the ResultSet Serializable object.

Returns:
  the total uncompressed data size in bytes from metadata
Throws:
  `SQLException`